try(dev.off(), silent = TRUE)

freqData <- as.data.frame(table(mydata_unique$child, mydata_unique$parent))
names(freqData) <- c("child", "parent", "freq")

plot(
as.numeric(as.vector(freqData$parent)),
as.numeric(as.vector(freqData$child)),
pch = 21, col = "black", bg = "lightblue",
cex = .15 * freqData$freq,
xlab = "parent",
ylab = "child", main = "Galton's dataset without outliers"
)
abline(fit, lwd=3, col='blue')
abline(fit2, lwd=3, col='red')
